Subject: Re: bug#36475: [PATCH] Handle 'abbr' and 'acronym' tags in shr.el

From: Michael Albinus <[email-masked]>
Date: Wed, 03 Jul 2019 08:42:26 +0200

Nicholas Drozd <[email-masked]> writes:

Hi Nicholas,

> It could be, but I don't know that much would be gained. While a
> defalias would be slightly terser, it would also stick out from the
> surrounding defuns. I don't have a strong opinion either way. Are
> there any non-style considerations?

I have no strong opinion either, but using a defalias seems to me the
better choice. Maybe I'm biased due to the work on Tramp, where a large
part of the job is keeping backward compatibility with older
Emacsen. That's why I have a preference to defalias, whenever
possible. It needs less maintainership attention.

But it is your decision, of course.

Best regards, Michael.